#*******************************************************************************
# Copyright 2008, 2011 Hochschule Offenburg
# Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
# Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
# Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
#
# This file is part of magmaOffenburg.
#
# magmaOffenburg is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# magmaOffenburg is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
#*******************************************************************************
#!/bin/bash
###########################################
# Starts the magma developer tool
# example: ./developer.sh
###########################################

# For cygwin replace ':' with ';' and add "" around the classpath

CLSPTH=./magmaDeveloper.jar
CLSPTH=${CLSPTH}:./magmaOffenburg.jar
CLSPTH=${CLSPTH}:./commons-math3-3.3.jar

CLSPTH=${CLSPTH}:./lib/tools/j3dcore.jar
CLSPTH=${CLSPTH}:./lib/tools/j3dutils.jar
CLSPTH=${CLSPTH}:./lib/tools/kdoLib.jar
CLSPTH=${CLSPTH}:./lib/tools/swing-layout-1.0.jar
CLSPTH=${CLSPTH}:./lib/tools/Kinect/jni4net.j-0.8.6.0.jar
CLSPTH=${CLSPTH}:./lib/tools/xstream-1.4.2.jar
CLSPTH=${CLSPTH}:./lib/tools/vecmath.jar
CLSPTH=${CLSPTH}:./lib/tools/commons-compress-1.5.jar
CLSPTH=${CLSPTH}:./lib/tools/jcommon-1.0.21.jar
CLSPTH=${CLSPTH}:./lib/tools/jfreechart-1.0.17.jar
CLSPTH=${CLSPTH}:./lib/runtime/ros/apache_xmlrpc_client-0.0.0-SNAPSHOT.jar
CLSPTH=${CLSPTH}:./lib/runtime/ros/apache_xmlrpc_common-0.0.0-SNAPSHOT.jar
CLSPTH=${CLSPTH}:./lib/runtime/ros/apache_xmlrpc_server-0.0.0-SNAPSHOT.jar
CLSPTH=${CLSPTH}:./lib/runtime/ros/com.springsource.org.apache.commons.codec-1.3.0.jar
CLSPTH=${CLSPTH}:./lib/runtime/ros/com.springsource.org.apache.commons.httpclient-3.1.0.jar
CLSPTH=${CLSPTH}:./lib/runtime/ros/com.springsource.org.apache.commons.io-1.4.0.jar
CLSPTH=${CLSPTH}:./lib/runtime/ros/com.springsource.org.apache.commons.lang-2.4.0.jar
CLSPTH=${CLSPTH}:./lib/runtime/ros/com.springsource.org.apache.commons.logging-1.1.1.jar
CLSPTH=${CLSPTH}:./lib/runtime/ros/com.springsource.org.apache.commons.net-2.0.0.jar
CLSPTH=${CLSPTH}:./lib/runtime/ros/commons-pool-1.6.jar
CLSPTH=${CLSPTH}:./lib/runtime/ros/guava-12.0.jar
CLSPTH=${CLSPTH}:./lib/runtime/ros/netty-3.5.2.Final.jar
CLSPTH=${CLSPTH}:./lib/runtime/ros/rosjava_bootstrap-0.0.0-SNAPSHOT.jar
CLSPTH=${CLSPTH}:./lib/runtime/ros/rosjava_messages-0.0.0-SNAPSHOT.jar
CLSPTH=${CLSPTH}:./lib/runtime/ros/rosjava-0.0.0-SNAPSHOT.jar
CLSPTH=${CLSPTH}:./lib/runtime/ros/ws-commons-util-1.0.1.jar
CLSPTH=${CLSPTH}:./lib/runtime/usb-api-1.0.2.jar
CLSPTH=${CLSPTH}:./lib/runtime/usb4java-1.0.0.jar
CLSPTH=${CLSPTH}:./lib/runtime/commons-math3-3.3.jar
CLSPTH=${CLSPTH}:./lib/runtime/jssc.jar
CLSPTH=${CLSPTH}:./lib/runtime/GameController.jar

# use for linux, change to use windows or mac
CLSPTH=${CLSPTH}:./lib/tools/jogamp/gluegen-rt.jar
CLSPTH=${CLSPTH}:./lib/tools/jogamp/jogl-all.jar


java -cp $CLSPTH magma.tools.developer.MagmaDeveloper   

