#*******************************************************************************
# Copyright 2008, 2011 Hochschule Offenburg
# Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
# Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
# Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
#
# This file is part of magmaOffenburg.
#
# magmaOffenburg is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# magmaOffenburg is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
#*******************************************************************************
#!/bin/bash
###########################################
# Starts a magmaOffenburg RoboCup client
# example: ./startCommon.sh 127.0.0.1 3100 magma magmaOffeburg.jar 11
###########################################




LOGLEVEL=severe

CLSPTH=./jar/magmaOffenburg.jar
CLSPTH=$CLSPTH:$APP_HOME
CLSPTH=${CLSPTH}:./lib/runtime/commons-math3-3.3.jar
CLSPTH=${CLSPTH}:./lib/runtime/jssc.jar

   java -cp $CLSPTH magma.robots.RoboCupClient --playerid=1 --teamid=41 --factory=SweatyReal --decisionmaker=6 --serialPort=/dev/ttyUSB0 1>log/outAndErrorAgents$SERVER_PORT.log 2>&1 &

  

