@rem ***************************************************************************
@rem Copyright 2008, 2011 Hochschule Offenburg
@rem Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
@rem Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
@rem Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
@rem
@rem This file is part of magmaOffenburg.
@rem
@rem magmaOffenburg is free software: you can redistribute it and/or modify
@rem it under the terms of the GNU General Public License as published by
@rem the Free Software Foundation, either version 3 of the License, or
@rem (at your option) any later version.
@rem
@rem magmaOffenburg is distributed in the hope that it will be useful,
@rem but WITHOUT ANY WARRANTY; without even the implied warranty of
@rem MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
@rem GNU General Public License for more details.
@rem
@rem You should have received a copy of the GNU General Public License
@rem along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
@rem ***************************************************************************
@echo off
rem ###########################################
rem # Starts a magmaOffenburg RoboCup client
rem ###########################################

cd ..

set CLSPTH=./build/classes
set CLSPTH=%CLSPTH%;./lib/runtime/commons-math3-3.3.jar

set TEAMNAME=magmaOffenburg
set SERVER_IP=127.0.0.1
set SERVER_PORT=3110
set MAIN_CLASS=magma.robots.RoboCupClient
set LOGLEVEL=severe

FOR %%A IN (1 2) DO (
echo %%A
echo start java -cp %CLSPTH% %MAIN_CLASS% %TEAMNAME% %%A %SERVER_IP% %SERVER_PORT% %LOGLEVEL% 066

rem wait a second
ping -n 2 127.0.0.1 > NUL
)

cd bin