#
# gawk -f logExtractor.awk e:/Temp/magmaOffenburg2.log > e:/Temp/agent2NoCompensation.txt
#
BEGIN {
	print "gyroX;gyroY;speedDesired;speedCurrent;speedCompensation;speedUsed;dirDesired;dirCurrent;dirCompensation;dirUsed;angleDesired;angleUsed;"
	}

{
	speedUsed = ""
	if ($4 == "gyroX/Y:") {
		split($5, gyro, "/")
		gyroX=gyro[1]
		gyroY=gyro[2]
	}
	
	if ($4 == "balance(desired/cur/comp/used)") {
		split($6, speed, "/")
		speedDesired=speed[1]
		speedDesired=substr(speedDesired, 2, length(speedDesired) - 1)
		speedCurrent=speed[2]
		speedCompensation=speed[3]
		speedUsed=speed[4]
		speedUsed=substr(speedUsed, 1, length(speedUsed) - 1)

		split($8, dir, "/")
		dirDesired=dir[1]
		dirDesired=substr(dirDesired, 2, length(dirDesired) - 1)
		dirCurrent=dir[2]
		dirCompensation=dir[3]
		dirUsed=dir[4]
		dirUsed=substr(dirUsed, 1, length(dirUsed) - 1)

		split($10, angle, "/")
		angleDesired=angle[1]
		angleDesired=substr(angleDesired, 2, length(angleDesired) - 1)
		angleUsed=angle[2]
		angleUsed=substr(angleUsed, 1, length(angleUsed) - 1)
	}
	if (speedUsed != "") {
		print gyroX ";" gyroY ";" speedDesired ";" speedCurrent ";" speedCompensation ";" speedUsed ";"  dirDesired ";" dirCurrent ";" dirCompensation ";" dirUsed ";" angleDesired ";" angleUsed ";"
	}
}