#!/usr/bin/env bash

##############################################################################
##
##  Launches decision as ROS node
##
##############################################################################

APP_NAME="decision"
APP_BASE_NAME=`basename "$0"`
APP_HOME="."
ROS_LIBS="/lib/runtime/ros"

CLASSPATH=$APP_HOME/jar/magmaOffenburg.jar
CLASSPATH=$CLASSPATH:$APP_HOME/lib/runtime/commons-math3-3.3.jar
CLASSPATH=$CLASSPATH:$APP_HOME$ROS_LIBS/rosjava-0.0.0-SNAPSHOT.jar
CLASSPATH=$CLASSPATH:$APP_HOME$ROS_LIBS/com.springsource.org.apache.commons.codec-1.3.0.jar
CLASSPATH=$CLASSPATH:$APP_HOME$ROS_LIBS/com.springsource.org.apache.commons.lang-2.4.0.jar
CLASSPATH=$CLASSPATH:$APP_HOME$ROS_LIBS/com.springsource.org.apache.commons.io-1.4.0.jar
CLASSPATH=$CLASSPATH:$APP_HOME$ROS_LIBS/commons-pool-1.6.jar
CLASSPATH=$CLASSPATH:$APP_HOME$ROS_LIBS/jsr305-1.3.9.jar
CLASSPATH=$CLASSPATH:$APP_HOME$ROS_LIBS/guava-12.0.jar
CLASSPATH=$CLASSPATH:$APP_HOME$ROS_LIBS/netty-3.5.2.Final.jar
CLASSPATH=$CLASSPATH:$APP_HOME$ROS_LIBS/rosjava_bootstrap-0.0.0-SNAPSHOT.jar
CLASSPATH=$CLASSPATH:$APP_HOME$ROS_LIBS/rosjava_messages-0.0.0-SNAPSHOT.jar
CLASSPATH=$CLASSPATH:$APP_HOME$ROS_LIBS/com.springsource.org.apache.commons.logging-1.1.1.jar
CLASSPATH=$CLASSPATH:$APP_HOME$ROS_LIBS/com.springsource.org.apache.commons.httpclient-3.1.0.jar
CLASSPATH=$CLASSPATH:$APP_HOME$ROS_LIBS/junit-3.8.2.jar
CLASSPATH=$CLASSPATH:$APP_HOME$ROS_LIBS/xml-apis-1.0.b2.jar
CLASSPATH=$CLASSPATH:$APP_HOME$ROS_LIBS/ws-commons-util-1.0.1.jar
CLASSPATH=$CLASSPATH:$APP_HOME$ROS_LIBS/apache_xmlrpc_common-0.0.0-SNAPSHOT.jar
CLASSPATH=$CLASSPATH:$APP_HOME$ROS_LIBS/apache_xmlrpc_server-0.0.0-SNAPSHOT.jar
CLASSPATH=$CLASSPATH:$APP_HOME$ROS_LIBS/apache_xmlrpc_client-0.0.0-SNAPSHOT.jar
CLASSPATH=$CLASSPATH:$APP_HOME$ROS_LIBS/dnsjava-2.1.1.jar
CLASSPATH=$CLASSPATH:$APP_HOME$ROS_LIBS/com.springsource.org.apache.commons.net-2.0.0.jar


java -classpath "$CLASSPATH" org.ros.RosRun magma.robots.RosSweatyDecisionNode
