#
# gawk -f codeCopyrightHeader.awk 
#

BEGIN {
	print "/********************************************************************************
	print "/* Copyright 2008 - 2014 Hochschule Offenburg"
	print " * All Authors are named in file Authors.txt"
	print " * "
	print " * This file is part of magmaOffenburg."
	print " * "
	print " * magmaOffenburg is free software: you can redistribute it and/or modify"
    print " * it under the terms of the GNU General Public License as published by"
    print " * the Free Software Foundation, either version 3 of the License, or"
    print " * (at your option) any later version."
	print " * "
    print " * magmaOffenburg is distributed in the hope that it will be useful,"
    print " * but WITHOUT ANY WARRANTY; without even the implied warranty of"
    print " * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the"
    print " * GNU General Public License for more details."
	print " * "
    print " * You should have received a copy of the GNU General Public License"
    print " * along with magmaOffenburg.  If not, see <http://www.gnu.org/licenses/>."
	print " ********************************************************************************/
}

# using sed
# sed -i '1i $HEADER'

# search with grep
# grep  -r  --include="*.java"  "Copyright" *
# grep for files that do not include Copyright
# grep  -r  --include="*.java" -L "Copyright" .

# search for eclipse (use regular expressions)
# /. Copyright(.*(\n|\r\n)){4}
# search for eclipse (use regular expressions) search for \******* header
# /(\*){5}(.*(\n|\r\n)){5}
# search for files that do not have a Copyright header
# (?s)\A((?!Copyright).)*\Z

# replacement for eclipse changed text (without '# ')
# /\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\n \* Copyright 2008 - 2014 Hochschule Offenburg\n \* All Authors are named in file Authors.txt\n  
# replacement for eclipse whole text (without '# ')
# /\* Copyright 2008 - 2014 Hochschule Offenburg\n \* All Authors are named in file Authors.txt\n  \*\n \* This file is part of magmaOffenburg.\n \*\n \* magmaOffenburg is free software: you can redistribute it and/or modify\n \* it under the terms of the GNU General Public License as published by\n \* the Free Software Foundation, either version 3 of the License, or\n \* (at your option) any later version.\n \*\n \* magmaOffenburg is distributed in the hope that it will be useful,\n \* but WITHOUT ANY WARRANTY; without even the implied warranty of\n \* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the\n \* GNU General Public License for more details.\n \*\n \* You should have received a copy of the GNU General Public License\n \* along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.\n \*/\n